<?php
namespace Modules\API\APIExterne\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class InfoLegale
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function rattacher(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function noRattacher(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function indicateur(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function bash(): bool
    {
        return true;
    }
}
